Subject: RE: how to not echo shell command in NT v19.34.1

From: Eric Hanchrow <[email-masked]>
Date: Tue, 10 Sep 1996 14:21:24 -0700

I've found that putting

      ;; To prevent all command lines from getting echoed.
      (add-hook 'shell-mode-hook '(lambda () (setq explicit-cmd.exe-args
'("/q"))))

in my .emacs keeps my commands from echoing.

Also, if you want to get rid of those control-Ms:

      ;; To prevent unsightly control-Ms from showing up in the shell
buffer.
      (add-hook 'comint-output-filter-functions 'comint-strip-ctrl-m)

>-----Original Message-----
From:	Ronald Courtright [SMTP:[email-masked]]
Sent:	Tuesday, September 10, 1996 12:48 PM
To:	[email-masked]
Subject:	how to not echo shell command in NT v19.34.1

Greetings,

I did not have this problem in v19.31, but in shell mode, the cmd is
echoed
on a newline.  So, if I enter 
$ ls
ls
foo bar
Same problem if I use an NT native cmd like 'dir.'

I tried 'setq comint-process-noecho t' but to no avail.

I am open to suggestions.  Oh, yes, I am using NT v4b2.

Regards,

Ron